Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Custom Fields

List Custom Fields

GET
/v1/custom-fields

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

id?string
id[in]?string
entity?string
entity[in]?string
key?string
key[in]?string
type?string
type[in]?string
show_in_sidebar?boolean
limit?integer
Default10
Range0 <= value <= 100
page_token?string
Length1 <= length

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/custom-fields"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",      "name": "string",      "description": "string",      "type": "boolean",      "key": "string",      "options": [        "string"      ],      "hidden": true,      "show_in_sidebar": true,      "entity": "appointment",      "is_select": true,      "deleted_at": "2019-08-24T14:15:22Z",      "is_gallery": true,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_page_url": "string",  "previous_page_url": "string"}